Skip to main content
GET
List Backgrounds or Foregrounds

Authorizations

x-simli-api-key
string
header
required

Path Parameters

kind
enum<string>
required
Available options:
backgrounds,
foregrounds

Response

Successful Response

id
string<uuid>
required

What background_id / foreground_id and BG_ / FG_ take.

name
string
required

The uploaded file's name.

width
integer
required
height
integer
required
size_bytes
integer
required

The stored PNG's size.

created_at
integer
required

Unix time, in seconds.

url
string<uri> | null
required

A signed URL that GETs the image until url_expires_at; usable as an [Image blocked: No description] src. Null if one couldn't be made just then.

url_expires_at
integer
required

Unix time, in seconds, when url stops working.